/**
 * Copyright (c) 2004 Red Hat, Inc. All rights reserved.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * Component of: Red Hat Application Server
 * 
 * Initial Developers: Aizaz Ahmed
 *                     Vivek Lakshmanan
 *                     Andrew Overholt
 *                     Matthew Wringe
 *
 */
package olstore.dto;

import olstore.entity.AddressLocal;
import java.util.Collection;

/**
 * DTO to hold the user's information. This DTO is used whenever displaying or 
 * modifying the user's information.   
 *
 */
public class UserValue {
    
    private String username = null;
    private String fname  = null;
    private String lname  = null;
    private String emailAdd  = null;
    private String phoneNum  = null;
    private String passwd  = null;
    private AddressLocal address  = null;
    
    private Collection friendsList  = null;
    private Collection allUsersList= null;
    
    //the selection from the friends select box
    private String[] friendsListSelected=null;
    
    public String getUsername()
    {
        return username;
    }
    
    public void setUsername(String username)
    {
        this.username=username;
    }
    
    public String getFname()
    {
        return fname;
    }
    
    public void setFname(String fname)
    {
        this.fname=fname;
    }
    
    public String getLname()
    {
        return lname;
    }
    
    public void setLname(String lname)
    {
        this.lname=lname;
    }
    
    public String getEmailAdd()
    {
        return emailAdd;
    }
    
    public void setEmailAdd(String emailAdd)
    {
        this.emailAdd=emailAdd;
    }
    
    public String getPhoneNum()
    {
        return phoneNum;
    }
    
    public void setPhoneNum(String phoneNum)
    {
        this.phoneNum=phoneNum;
    }
    
    public String getPasswd()
    {
        return passwd;
    }
    
    public void setPasswd(String passwd)
    {
        this.passwd=passwd;
    }
    
    public AddressLocal getAddress()
    {
        return address;
    }
    
    public void setAddress(AddressLocal address)
    {
        this.address=address;
    }
    
    public Collection getFriendsList()
    {
        return friendsList;
    }
    
    public void setFriendsList(Collection friendsList)
    {
        this.friendsList=friendsList;
    }
    
    public Collection getAllUsersList()
    {
        return allUsersList;
    }
    
    public void setAllUsersList(Collection allUsersList)
    {
        this.allUsersList=allUsersList;
    }
    
    public String[] getFriendsListSelected()
    {
        return friendsListSelected;
    }
    
    public void setFriendsListSelected(String[] friendsListSelected)
    {
        this.friendsListSelected=friendsListSelected;
    }
    
}
